<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Canvas Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/df1/class_canvas.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Canvas Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a71b618d86df5a2ed7c1d218cc87cfbac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df1/class_canvas.html#a71b618d86df5a2ed7c1d218cc87cfbac">Canvas</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> size_x, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> size_y)</td></tr>
<tr class="separator:a71b618d86df5a2ed7c1d218cc87cfbac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4262b14263e696131b4147946083067"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df1/class_canvas.html#ad4262b14263e696131b4147946083067">DrawPixel</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>)</td></tr>
<tr class="separator:ad4262b14263e696131b4147946083067"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a937f3be95fbdb47309dd1f7253433cf3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df1/class_canvas.html#a937f3be95fbdb47309dd1f7253433cf3">PrintOut</a> ()</td></tr>
<tr class="separator:a937f3be95fbdb47309dd1f7253433cf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c843f1c2418290322f7b2077169f5ef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df1/class_canvas.html#a6c843f1c2418290322f7b2077169f5ef">SaveToFile</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> filename)</td></tr>
<tr class="separator:a6c843f1c2418290322f7b2077169f5ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:adebf56aeebc60406e6c8aad983194d04"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df1/class_canvas.html#adebf56aeebc60406e6c8aad983194d04">m_SizeX</a></td></tr>
<tr class="separator:adebf56aeebc60406e6c8aad983194d04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad23eadec6eb110528cbd73ddc8a0e53c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df1/class_canvas.html#ad23eadec6eb110528cbd73ddc8a0e53c">m_SizeY</a></td></tr>
<tr class="separator:ad23eadec6eb110528cbd73ddc8a0e53c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b3f0f0e8a24145852b7026181494aa7"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d16/_canvas_8c.html#a2e5ac951732a47f30a0521ca5aadef79">PIXEL</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df1/class_canvas.html#a4b3f0f0e8a24145852b7026181494aa7">m_Pixels</a> = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d8/d16/_canvas_8c.html#a2e5ac951732a47f30a0521ca5aadef79">PIXEL</a>&gt;&gt;</td></tr>
<tr class="separator:a4b3f0f0e8a24145852b7026181494aa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/d16/_canvas_8c_source.html#l00015">15</a> of file <a class="el" href="../../d8/d16/_canvas_8c_source.html">Canvas.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a71b618d86df5a2ed7c1d218cc87cfbac" name="a71b618d86df5a2ed7c1d218cc87cfbac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71b618d86df5a2ed7c1d218cc87cfbac">&#9670;&#160;</a></span>Canvas()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Canvas::Canvas </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>size_x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>size_y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d16/_canvas_8c_source.html#l00021">21</a> of file <a class="el" href="../../d8/d16/_canvas_8c_source.html">Canvas.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad4262b14263e696131b4147946083067" name="ad4262b14263e696131b4147946083067"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4262b14263e696131b4147946083067">&#9670;&#160;</a></span>DrawPixel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Canvas::DrawPixel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d16/_canvas_8c_source.html#l00037">37</a> of file <a class="el" href="../../d8/d16/_canvas_8c_source.html">Canvas.c</a>.</p>

</div>
</div>
<a id="a937f3be95fbdb47309dd1f7253433cf3" name="a937f3be95fbdb47309dd1f7253433cf3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a937f3be95fbdb47309dd1f7253433cf3">&#9670;&#160;</a></span>PrintOut()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Canvas::PrintOut </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d16/_canvas_8c_source.html#l00045">45</a> of file <a class="el" href="../../d8/d16/_canvas_8c_source.html">Canvas.c</a>.</p>

</div>
</div>
<a id="a6c843f1c2418290322f7b2077169f5ef" name="a6c843f1c2418290322f7b2077169f5ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c843f1c2418290322f7b2077169f5ef">&#9670;&#160;</a></span>SaveToFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Canvas::SaveToFile </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d16/_canvas_8c_source.html#l00067">67</a> of file <a class="el" href="../../d8/d16/_canvas_8c_source.html">Canvas.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a4b3f0f0e8a24145852b7026181494aa7" name="a4b3f0f0e8a24145852b7026181494aa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b3f0f0e8a24145852b7026181494aa7">&#9670;&#160;</a></span>m_Pixels</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d8/d16/_canvas_8c.html#a2e5ac951732a47f30a0521ca5aadef79">PIXEL</a>&gt; &gt; Canvas::m_Pixels = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d8/d16/_canvas_8c.html#a2e5ac951732a47f30a0521ca5aadef79">PIXEL</a>&gt;&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d16/_canvas_8c_source.html#l00019">19</a> of file <a class="el" href="../../d8/d16/_canvas_8c_source.html">Canvas.c</a>.</p>

</div>
</div>
<a id="adebf56aeebc60406e6c8aad983194d04" name="adebf56aeebc60406e6c8aad983194d04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adebf56aeebc60406e6c8aad983194d04">&#9670;&#160;</a></span>m_SizeX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Canvas::m_SizeX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d16/_canvas_8c_source.html#l00017">17</a> of file <a class="el" href="../../d8/d16/_canvas_8c_source.html">Canvas.c</a>.</p>

</div>
</div>
<a id="ad23eadec6eb110528cbd73ddc8a0e53c" name="ad23eadec6eb110528cbd73ddc8a0e53c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad23eadec6eb110528cbd73ddc8a0e53c">&#9670;&#160;</a></span>m_SizeY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Canvas::m_SizeY</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d16/_canvas_8c_source.html#l00017">17</a> of file <a class="el" href="../../d8/d16/_canvas_8c_source.html">Canvas.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d8/d16/_canvas_8c_source.html">Canvas.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/df1/class_canvas.html">Canvas</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
